Subject: Re: [syzbot] [net?] general protection fault in dev_prep_valid_name

From: Jakub Kicinski <[email-masked]>
Date: Mon, 18 Nov 2024 18:53:23 -0800

On Mon, 18 Nov 2024 18:19:23 -0800 Caleb Sander wrote:
> Hmm, it seems very unlikely that "mlx5/core: Schedule EQ comp tasklet
> only if necessary" could have caused this issue. The commit only
> touches the mlx5 driver. Does the test machine have ConnectX NICs? The
> commit itself simply moves where tasklet_schedule() is called for the
> mlx5_cq_tasklet_cb() tasklet, making it so the tasklet will only be
> scheduled to process userspace RDMA completions.
> Is it possible that the failure is not consistently reproducible and
> the bisection is landing on the wrong commit?

Yes, most likely bad bisection, I looked at the syzbot docs but I don't
see the command for invalidating the bisection results.